#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	openjpeg
Version		:	2.5.2
Release		:	17.2.0.rel%{?dist}
Summary		:	OpenJPEG command line tools
Group		:	Applications/Multimedia

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.openjpeg.org/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	cmake
#-----------------------------------------------------------------------------
%description
OpenJPEG is an open-source JPEG 2000 codec written in C language.
It has been developed in order to promote the use of JPEG 2000,
a still-image compression standard from the Joint Photographic
Experts Group (JPEG). Since may 2015, it is officially recognized
by ISO/IEC and ITU-T as a JPEG 2000 Reference Software.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc AUTHORS.md LICENSE NEWS.md README.md THANKS.md
%{_bindir}/opj_*
%{_includedir}/%{name}-%{majorver}/*.h
%{_libdir}/libopenjp2.so*
%{_libdir}/pkgconfig/libopenjp2.pc
%{_libdir}/cmake/%{name}-%{majorver}/*.cmake
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_FULL_LIBDIR=%{_libdir}		\
	-D BUILD_STATIC_LIBS=OFF 			\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install _bld					\

%{__mkdir_p} %{buildroot}%{_mandir}/
%{__cp} -rv 						\
	doc/man						\
	-T %{buildroot}%{_mandir}/


#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#-----------------------------------------------------------------------------
%changelog
